gnutls_pkcs7_set_crl_raw(3)

NAME
gnutls_pkcs7_set_crl_raw - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_pkcs7_set_crl_raw(gnutls_pkcs7_t pkcs7, const gnutls_datum_t * crl);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    should contain a gnutls_pkcs7_t structure

const gnutls_datum_t * crl
    the DER encoded crl to be added

DESCRIPTION
This function will add a crl to the PKCS7 or RFC2630 crl set.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/